<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>jQuery Then</title>
    <script src="../../static/jquery/jquery-3.4.1.js"></script>
    <link href="../../static/style/common.css" rel="stylesheet">
</head>

<body>
    <h3>Then</h3>
    <div id="console" class="console"></div>

    <script>
        $(function() {
            var $console = $('#console');
            var defer = jQuery.Deferred();
            
            var init = function() {
                defer.done(showMsg01).then(showMsg02);
            }

            var showMsg01 = function() {
                $console.text("Msg01");
            }
            var showMsg02 = function() {
                $console.text("Msg02");
            }
            init();
        });

    </script>
</body>

</html>
